Loading...
Searching...
No Matches
Halide::Runtime::Internal::BlockAllocator::Config Struct Reference

`#include <block_allocator.h>`

## Public Attributes

size_t | initial_capacity = 0
size_t | maximum_pool_size = 0
size_t | minimum_block_size = 0
size_t | maximum_block_size = 0
size_t | maximum_block_count = 0
size_t | nearest_multiple = 0

## Detailed Description

Definition at line 43 of file block_allocator.h.

## Member Data Documentation

## initial_capacity

size_t Halide::Runtime::Internal::BlockAllocator::Config::initial_capacity = 0

Definition at line 44 of file block_allocator.h.

## maximum_pool_size

size_t Halide::Runtime::Internal::BlockAllocator::Config::maximum_pool_size = 0

Definition at line 45 of file block_allocator.h.

## minimum_block_size

size_t Halide::Runtime::Internal::BlockAllocator::Config::minimum_block_size = 0

Definition at line 46 of file block_allocator.h.

## maximum_block_size

size_t Halide::Runtime::Internal::BlockAllocator::Config::maximum_block_size = 0

Definition at line 47 of file block_allocator.h.

## maximum_block_count

size_t Halide::Runtime::Internal::BlockAllocator::Config::maximum_block_count = 0

Definition at line 48 of file block_allocator.h.

## nearest_multiple

size_t Halide::Runtime::Internal::BlockAllocator::Config::nearest_multiple = 0

Definition at line 49 of file block_allocator.h.

The documentation for this struct was generated from the following file:

- src/runtime/internal/block_allocator.h